#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QPaintEvent>
#include <QSerialPort>
#include <QPoint>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    QSerialPort *serial;

    // la position et l'état du bouton du joystick extérieur (RS232)
    QPoint pos;
    bool joystickButton;

private slots:
void paintEvent(QPaintEvent *evt);
void data2read();
};

#endif // MAINWINDOW_H
